Package org.eclipse.net4j.util.security

## Interface IPasswordCredentialsProvider

- All Superinterfaces:
    `ICredentialsProvider`
  All Known Subinterfaces:
    `IPasswordCredentialsProvider2`
  All Known Implementing Classes:
    `InteractiveCredentialsProvider`, `PasswordCredentialsProvider`, `PasswordCredentialsProvider.Delegating`

      public interface IPasswordCredentialsProvider
      extends ICredentialsProvider

  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static interface` | `IPasswordCredentialsProvider.Provider` | Interface implemented by protocol objects that can supply an `IPasswordCredentialsProvider`.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IPasswordCredentials` | `getCredentials()` |

    - ### Methods inherited from interface org.eclipse.net4j.util.security.ICredentialsProvider

      `isInteractive`

- - ### Method Detail

    - #### getCredentials

          IPasswordCredentials getCredentials()

      Specified by:
        `getCredentials` in interface `ICredentialsProvider`